from pydantic import BaseModel, Field
from datetime import datetime

class DocumentBase(BaseModel):
    filename: str

class DocumentCreate(DocumentBase):
    # Pas besoin de filepath ici, il sera généré par le backend
    pass

class DocumentResponse(DocumentBase):
    id: int
    filepath: str
    owner_id: int
    uploaded_at: datetime

    class Config:
        from_attributes = True

class DocumentDeleteResponse(BaseModel):
    detail: str
    filename: str
    id: int