from pydantic import BaseModel, EmailStr
from typing import Optional
from datetime import datetime

class UserBase(BaseModel):
    email: EmailStr

class UserCreate(UserBase):
    password: str
    name: Optional[str] = None # Conforme au PRD: nom/prénom optionnels

class UserLogin(UserBase):
    password: str

class UserResponse(UserBase):
    id: int
    is_active: bool
    created_at: datetime
    updated_at: datetime
    name: Optional[str] = None

    class Config:
        from_attributes = True # Ancien orm_mode = True pour Pydantic v2+